Subject: [Gen-art] Re: Gen-ART review of draft-ietf-ospf-cap-09.txt

From: Acee Lindem <[email-masked]>
Date: Tue, 28 Nov 2006 15:41:23 -0500

Hi David,
Thanks for the review. All your comments will be in the -10 version of the
document. Here is my new text for the "Security Considerations" section:

4.  Security Considerations

   This document describes both a generic mechanism for advertising
   router capabilites and a TLV for advertising informational capability
   bits.  The latter TLV is less critical than the topology information
   currently advertised by the base OSPF protocol.  The security
   considerations for the generic mechanism are dependent on the future
   application and, as such, should be described as additional
   capabilities are proposed for advertisement.  Security considerations
   for the base OSPF protocol are covered in [OSPF] and [OSPFV3].

Thanks,
Acee 

Lindem (Editor), et al.   Expires June 1, 2007         

[email-masked] wrote:
> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document:
>     Extensions to OSPF for Advertising Optional Router Capabilities
>                        draft-ietf-ospf-cap-09.txt
> Reviewer: David L. Black
> Review Date: October 29, 2006
> IETF LC Date: Ends November 6, 2006
>
> Summary:
> This draft is basically ready for publication, but has nits
> that should be fixed before publication.
>
> Comments:
> This draft describes a small addition of bits to advertise
> optional capabilities to OSPF.  All of the items in this
> review are editorial in nature.
>
> Section 3 - The use of "MUST" in the following sentence is not
> appropriate, as this is a design requirement, not a protocol
> requirement:
>
>    Hence, discretion
>    and sound engineering judgment MUST be adhered to when deciding
>    whether newly proposed TLV(s) in support of a new application are
>    advertised in the RI LSA or warrant the creation of an application
>    specific LSA.
>
> A lower case "must" would suffice, but a rephrasing to emphasize the
> importance of this design concern in work on such TLVs would be better.
>
> Section 4: The security considerations statement that this document
> does not create any new security issues for the OSPF protocol is
> too narrow.  The advertisement of capabilities may provide useful
> information to an attacker looking for a particular feature or
> vulnerability to attack.  No new OSPF security countermeasures
> should be necessary, and it may be ok to refer discussion of this
> issue to the existing OSPF RFCs if it is adequately covered there,
> but the statement that there are no security considerations in the
> functional content of this draft is not correct.
>
> Section 5: Please tell IANA what the content of an entry is in
> each of the new registries - saying that their fields are the
> same as an existing registry is among the ways to do this.
>
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>
>   

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art